ros-lyrical-rqt-bag-plugins (2.2.2-3resolute) resolute; urgency=high

  * Support Qt6 (#206 <https://github.com/ros-visualization/rqt_bag/issues/206>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 13 Apr 2026 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (2.2.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 24 Nov 2025 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (2.2.0-3resolute) resolute; urgency=high

  * Display roll, pitch, yaw values for quaternions (#179 <https://github.com/ros-visualization/rqt_bag/issues/179>)
  * Fix flake8 error in setup.py (#192 <https://github.com/ros-visualization/rqt_bag/issues/192>)
  * Fixed image helper and added support for PNG-coded compressedDepth (#176 <https://github.com/ros-visualization/rqt_bag/issues/176>)
  * Improve plot view (#174 <https://github.com/ros-visualization/rqt_bag/issues/174>)
  * plot_view: Fixed display of initial message (#180 <https://github.com/ros-visualization/rqt_bag/issues/180>)
  * fix setuptools deprecations (#185 <https://github.com/ros-visualization/rqt_bag/issues/185>)
  * Contributors: Martin Pecka, Michael Carlstrom, mosfet80

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 30 Jul 2025 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (2.1.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Jul 2025 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (2.1.0-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 28 Apr 2025 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (2.0.2-3resolute) resolute; urgency=high

  * Add standard tests for rqt_bag and rqt_bag_plugins (#171 <https://github.com/ros-visualization/rqt_bag/issues/171>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 07 Jan 2025 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (2.0.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 04 Sep 2024 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (2.0.0-3resolute) resolute; urgency=high

  * Adapted to rosbag2_py (#156 <https://github.com/ros-visualization/rqt_bag/issues/156>)
  * Fixed image timeline renderer (#158 <https://github.com/ros-visualization/rqt_bag/issues/158>)
  * Contributors: Alejandro Hernández Cordero

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.6.0-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.5.2-3resolute) resolute; urgency=high

  * Add a test dependency on pytest. (#153 <https://github.com/ros-visualization/rqt_bag/issues/153>)
  * Revert "Add a dependency on pytest to rqt_bag and rqt_bag_plugins. (#… (#151 <https://github.com/ros-visualization/rqt_bag/issues/151>)
  * Update maintainer to myself. (#150 <https://github.com/ros-visualization/rqt_bag/issues/150>)
  * Update maintainer list in package.xml files (#149 <https://github.com/ros-visualization/rqt_bag/issues/149>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.5.1-3resolute) resolute; urgency=high

  * Add a dependency on pytest to rqt_bag and rqt_bag_plugins. (#148 <https://github.com/ros-visualization/rqt_bag/issues/148>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Feb 2024 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.5.0-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Jun 2023 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.4.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 11 May 2023 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.4.0-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 28 Apr 2023 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.3.1-3resolute) resolute; urgency=high

  * Changes the use of __slots__ for the field and field type getter (#138 <https://github.com/ros-visualization/rqt_bag/issues/138>)
  * Contributors: Eloy Briceno

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.3.0-3resolute) resolute; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#132 <https://github.com/ros-visualization/rqt_bag/issues/132>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 14 Feb 2023 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.2.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Sep 2022 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.2.0-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 10 May 2022 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.1.2-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 06 Feb 2022 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.1.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 12 Apr 2021 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.1.0-3resolute) resolute; urgency=high

  * Refactor the Rosbag2 class (#91 <https://github.com/ros-visualization/rqt_bag/issues/91>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 18 Mar 2021 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (1.0.0-3resolute) resolute; urgency=high

  * Port the plot view to ROS2 (#79 <https://github.com/ros-visualization/rqt_bag/issues/79>)
  * Port the image_view plugin to ROS2 (#78 <https://github.com/ros-visualization/rqt_bag/issues/78>)
  * Starting point for resuming the ROS2 port (#70 <https://github.com/ros-visualization/rqt_bag/issues/70>)
  * Make the tree controls in the Raw View and Plot View consistent (#57 <https://github.com/ros-visualization/rqt_bag/issues/57>)
  * Update the package.xml files with the latest Open Robotics maintainers (#58 <https://github.com/ros-visualization/rqt_bag/issues/58>)
  * initialize pil_mode when image is compressed (#54 <https://github.com/ros-visualization/rqt_bag/issues/54>)
  * Contributors: John Stechschulte, Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Nov 2020 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.15-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 21 Aug 2020 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.14-3resolute) resolute; urgency=high

  * support 16-bit bayer images (#45 <https://github.com/ros-visualization/rqt_bag/issues/45>)
  * maintain image aspect ratio (#32 <https://github.com/ros-visualization/rqt_bag/issues/32>)
  * fix Python 3 issue: long/int (#51 <https://github.com/ros-visualization/rqt_bag/issues/51>)
  * fix Python 3 issue: ensure str is encoded before decoding (#50 <https://github.com/ros-visualization/rqt_bag/issues/50>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 07 Aug 2020 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.13-3resolute) resolute; urgency=high

  * add Python 3 conditional dependencies (#44 <https://github.com/ros-visualization/rqt_bag/issues/44>)
  * add cairocffi as the fallback module (#43 <https://github.com/ros-visualization/rqt_bag/issues/43>)
  * autopep8 (#30 <https://github.com/ros-visualization/rqt_bag/issues/30>)

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 17 Mar 2020 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.12-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 21 Mar 2018 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.11-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 01 Nov 2017 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.10-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 25 Oct 2017 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.9-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 12 Oct 2017 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.8-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 24 Apr 2017 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.7-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 02 Mar 2017 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.6-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 27 Feb 2017 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.5-3resolute) resolute; urgency=high

  * fix Python 2 regression from version 0.4.4 (#426 <https://github.com/ros-visualization/rqt_common_plugins/issues/426>)

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 03 Feb 2017 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.4-3resolute) resolute; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 24 Jan 2017 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.3-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Nov 2016 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.2-3resolute) resolute; urgency=high

  * fix crash when toggling thumbnail (#380 <https://github.com/ros-visualization/rqt_common_plugins/issues/380>)
  * lock bag when reading for plotting (#382 <https://github.com/ros-visualization/rqt_common_plugins/pull/382>)

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 19 Sep 2016 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 16 May 2016 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.4.0-3resolute) resolute; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 27 Apr 2016 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.13-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 08 Mar 2016 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.12-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 24 Jul 2015 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.11-3resolute) resolute; urgency=high

  * add missing dependency on rqt_plot (#316 <https://github.com/ros-visualization/rqt_common_plugins/pull/316>)
  * work around Pillow segfault if PyQt5 is installed (#289 <https://github.com/ros-visualization/rqt_common_plugins/pull/289>, #290 <https://github.com/ros-visualization/rqt_common_plugins/pull/290>)

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 30 Apr 2015 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.10-3resolute) resolute; urgency=high

  * add displaying of depth image thumbnails

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 01 Oct 2014 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.9-3resolute) resolute; urgency=high

  * add missing dependency on python-cairo (#269 <https://github.com/ros-visualization/rqt_common_plugins/issues/269>)

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 18 Aug 2014 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.8-3resolute) resolute; urgency=high

  * fix missing installation of resource subfolder

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 15 Jul 2014 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.7-3resolute) resolute; urgency=high

  * add plotting plugin (#239 <https://github.com/ros-visualization/rqt_common_plugins/issues/239>)
  * fix rqt_bag to plot array members (#253 <https://github.com/ros-visualization/rqt_common_plugins/issues/253>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Chris Lalancette <clalancette@gmail.com>  Fri, 11 Jul 2014 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.6-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 02 Jun 2014 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.5-3resolute) resolute; urgency=high

  * fix PIL/Pillow error (#224 <https://github.com/ros-visualization/rqt_common_plugins/issues/224>)

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 May 2014 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.4-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 28 Jan 2014 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.3-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 08 Jan 2014 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.2-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 14 Oct 2013 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 09 Oct 2013 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.3.0-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 28 Aug 2013 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.17-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 04 Jul 2013 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.16-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 09 Apr 2013 18:33:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.15-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 09 Apr 2013 05:02:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.14-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 14 Mar 2013 05:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.13-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 12 Mar 2013 03:14:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.12-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 11 Mar 2013 18:56:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.11-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 08 Mar 2013 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.10-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 22 Jan 2013 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.9-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Jan 2013 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.8-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 11 Jan 2013 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.7-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 24 Dec 2012 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.6-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 23 Dec 2012 06:00:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.5-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sat, 22 Dec 2012 01:11:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.4-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 21 Dec 2012 07:13:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.3-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 21 Dec 2012 06:24:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.2-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 21 Dec 2012 00:29:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.1-3resolute) resolute; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 20 Dec 2012 23:47:00 -0000

ros-lyrical-rqt-bag-plugins (0.2.0-3resolute) resolute; urgency=high

  * first release of this package into Groovy

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 20 Dec 2012 23:39:00 -0000


